be.fgov.ehealth.consultrn._1_0.protocol

## Class PersonHistoryCivilStateRequest

- java.lang.Object
- - be.fgov.ehealth.commons._1_0.protocol.RequestType
  - - be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnRequestType
    - - be.fgov.ehealth.consultrn._1_0.protocol.PersonHistoryRequest
      - - be.fgov.ehealth.consultrn._1_0.protocol.PersonHistoryCivilStateRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:34:52+02:00",
                 comments="JAXB RI v2.2.11")
      public class PersonHistoryCivilStateRequest
      extends PersonHistoryRequest
      implements Serializable

  The resquet to ask the civilstate history of a person

  Java class for PersonHistoryCivilStateRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PersonHistoryCivilStateRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:consultRN:1_0:protocol}PersonHistoryRequest">
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonHistoryCivilStateRequest()`

  - ### Method Summary

    - ### Methods inherited from class be.fgov.ehealth.consultrn._1_0.protocol.PersonHistoryRequest

      `getSSIN, setSSIN`

    - ### Methods inherited from class be.fgov.ehealth.consultrn._1_0.protocol.ConsultRnRequestType

      `getApplicationID, getOrganisation, setApplicationID, setOrganisation`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonHistoryCivilStateRequest

          public PersonHistoryCivilStateRequest()

Connector Packaging PERSLOGOPEDIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.